CommercialPaperSchemaV1.PersistentCommercialPaperState
Keywords: net.corda.finance.schemas.CommercialPaperSchemaV1.PersistentCommercialPaperState class
Date: 2023-09-18

net.corda.finance.schemas

## Class CommercialPaperSchemaV1.PersistentCommercialPaperState

- net.corda.core.schemas.PersistentState
- - net.corda.finance.schemas.CommercialPaperSchemaV1.PersistentCommercialPaperState

- All Implemented Interfaces:
    DirectStatePersistable, StatePersistable
  Enclosing class:
    CommercialPaperSchemaV1

      @Entity
      public static class CommercialPaperSchemaV1.PersistentCommercialPaperState
      extends PersistentState

- - ### Constructor Detail

    - #### PersistentCommercialPaperState

          public PersistentCommercialPaperState(@NotNull
                                                java.lang.String issuancePartyHash,
                                                @NotNull
                                                kotlin.Array[] issuanceRef,
                                                @NotNull
                                                java.lang.String ownerHash,
                                                @NotNull
                                                java.time.Instant maturity,
                                                long faceValue,
                                                @NotNull
                                                java.lang.String currency,
                                                @NotNull
                                                java.lang.String faceValueIssuerPartyHash,
                                                @NotNull
                                                kotlin.Array[] faceValueIssuerRef)

  - ### Method Detail

    - #### getIssuancePartyHash

          @NotNull
          public java.lang.String getIssuancePartyHash()

    - #### setIssuancePartyHash

          public void setIssuancePartyHash(@NotNull
                                           java.lang.String p)

    - #### getIssuanceRef

          @NotNull
          public kotlin.Array[] getIssuanceRef()

    - #### setIssuanceRef

          public void setIssuanceRef(@NotNull
                                     kotlin.Array[] p)

    - #### getOwnerHash

          @NotNull
          public java.lang.String getOwnerHash()

    - #### setOwnerHash

          public void setOwnerHash(@NotNull
                                   java.lang.String p)

    - #### getMaturity

          @NotNull
          public java.time.Instant getMaturity()

    - #### setMaturity

          public void setMaturity(@NotNull
                                  java.time.Instant p)

    - #### getFaceValue

          public long getFaceValue()

    - #### setFaceValue

          public void setFaceValue(long p)

    - #### getCurrency

          @NotNull
          public java.lang.String getCurrency()

    - #### setCurrency

          public void setCurrency(@NotNull
                                  java.lang.String p)

    - #### getFaceValueIssuerPartyHash

          @NotNull
          public java.lang.String getFaceValueIssuerPartyHash()

    - #### setFaceValueIssuerPartyHash

          public void setFaceValueIssuerPartyHash(@NotNull
                                                  java.lang.String p)

    - #### getFaceValueIssuerRef

          @NotNull
          public kotlin.Array[] getFaceValueIssuerRef()

    - #### setFaceValueIssuerRef

          public void setFaceValueIssuerRef(@NotNull
                                            kotlin.Array[] p)